# Class JMenuItem

java.lang.Object
org.jmol.awtjs.swing.Component
org.jmol.awtjs.swing.Container
org.jmol.awtjs.swing.JComponent
org.jmol.awtjs.swing.AbstractButton
org.jmol.awtjs.swing.JMenuItem

All Implemented Interfaces:
  `SC`

Direct Known Subclasses:
  `JCheckBoxMenuItem, JMenu, JRadioButtonMenuItem`

public class JMenuItem extends AbstractButton

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`btnType`
`static final int`
`TYPE_BUTTON`
`static final int`
`TYPE_CHECKBOX`
`static final int`
`TYPE_MENU`
`static final int`
`TYPE_RADIO`
`static final int`
`TYPE_SEPARATOR`

### Fields inherited from class JComponent

`actionCommand, actionListener, autoScrolls`

### Fields inherited from class Container

`list`

### Fields inherited from class Component

`enabled, height, id, minHeight, minWidth, mouseListener, name, parent, renderHeight, renderWidth, text, width`

## Constructor Summary

Constructors
Constructor
Description
`JMenuItem(String text)`
`JMenuItem(String type, int i)`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getHtmlDisabled()`
`String`
`toHTML()`

### Methods inherited from class AbstractButton

`add, addItemListener, getIcon, getMenuHTML, getPopupMenu, getTopPopupMenu, htmlMenuOpener, init, insert, isSelected, setIcon, setSelected`

### Methods inherited from class JComponent

`addActionListener, getActionCommand, setActionCommand, setAutoscrolls`

### Methods inherited from class Container

`add, addComponent, getComponent, getComponentCount, getComponents, getSubcomponentHeight, getSubcomponentWidth, insertComponent, remove, removeAll`

### Methods inherited from class Component

`addMouseListener, getCSSstyle, getHeight, getName, getParent, getText, getWidth, isEnabled, isVisible, newID, repaint, setBackground, setEnabled, setMinimumSize, setName, setParent, setPreferredSize, setText, setVisible`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface SC

`addActionListener, addMouseListener, getActionCommand, getComponent, getComponentCount, getComponents, getName, getParent, getText, isEnabled, remove, removeAll, setActionCommand, setAutoscrolls, setEnabled, setName, setText`

## Field Details

### btnType

public final int btnType

### TYPE_SEPARATOR

public static final int TYPE_SEPARATOR

See Also:
  - Constant Field Values

### TYPE_BUTTON

public static final int TYPE_BUTTON

See Also:
  - Constant Field Values

### TYPE_CHECKBOX

public static final int TYPE_CHECKBOX

See Also:
  - Constant Field Values

### TYPE_RADIO

public static final int TYPE_RADIO

See Also:
  - Constant Field Values

### TYPE_MENU

public static final int TYPE_MENU

See Also:
  - Constant Field Values

## Constructor Details

### JMenuItem

public JMenuItem(String text)

### JMenuItem

public JMenuItem(String type, int i)

## Method Details

### toHTML

public String toHTML()

Specified by:
  `toHTML` in class `Component`

### getHtmlDisabled

protected String getHtmlDisabled()

Overrides:
  `getHtmlDisabled` in class `AbstractButton`